/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomTextMetrics_H___INT_
#define __GdomTextMetrics_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "TextMetrics.h"
namespace WebCore {
    gpointer toGDOM(TextMetrics* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMTextMetrics : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_TEXT_METRICS; }
    GDOMTextMetrics(PassRefPtr<WebCore::TextMetrics> impl);
    virtual ~GDOMTextMetrics();
    WebCore::TextMetrics* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::TextMetrics> m_impl;
};
G_END_DECLS

#endif /* __GdomTextMetrics_H___INT_*/
